net.sf.jasperreports.engine.base

## Class JRBaseStyle

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Deduplicable, JRChangeEventsSupport, JRBoxContainer, JRCloneable, JRParagraphContainer, JRPenContainer, JRStyle, JRStyleContainer
  Direct Known Subclasses:
    JRBaseConditionalStyle, JRDesignStyle

      public class JRBaseStyle
      extends java.lang.Object
      implements JRStyle, java.io.Serializable, JRChangeEventsSupport, Deduplicable

  Version:
    $Id: JRBaseStyle.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `backcolor`
    `protected JRConditionalStyle[]` | `conditionalStyles`
    `protected JRDefaultStyleProvider` | `defaultStyleProvider`
    `protected FillEnum` | `fillValue`
    `protected java.lang.String` | `fontName`
    `protected java.lang.Float` | `fontsize`
    `protected java.awt.Color` | `forecolor`
    `protected HorizontalAlignEnum` | `horizontalAlignmentValue`
    `protected java.lang.Boolean` | `isBlankWhenNull`
    `protected java.lang.Boolean` | `isBold`
    `protected boolean` | `isDefault`
    `protected java.lang.Boolean` | `isItalic`
    `protected java.lang.Boolean` | `isPdfEmbedded`
    `protected java.lang.Boolean` | `isStrikeThrough`
    `protected java.lang.Boolean` | `isUnderline`
    `protected JRLineBox` | `lineBox`
    `protected JRPen` | `linePen`
    `protected java.lang.String` | `markup`
    `protected ModeEnum` | `modeValue`
    `protected java.lang.String` | `name`
    `protected JRParagraph` | `paragraph`
    `protected JRStyle` | `parentStyle`
    `protected java.lang.String` | `parentStyleNameReference`
    `protected java.lang.String` | `pattern`
    `protected java.lang.String` | `pdfEncoding`
    `protected java.lang.String` | `pdfFontName`
    `protected java.lang.Byte` | `positionType`
    `static java.lang.String` | `PROPERTY_BACKCOLOR`
    `static java.lang.String` | `PROPERTY_BLANK_WHEN_NULL`
    `static java.lang.String` | `PROPERTY_BOLD`
    `static java.lang.String` | `PROPERTY_FILL`
    `static java.lang.String` | `PROPERTY_FONT_NAME`
    `static java.lang.String` | `PROPERTY_FONT_SIZE`
    `static java.lang.String` | `PROPERTY_FORECOLOR`
    `static java.lang.String` | `PROPERTY_HORIZONTAL_ALIGNMENT`
    `static java.lang.String` | `PROPERTY_ITALIC`
    `static java.lang.String` | `PROPERTY_LINE_SPACING` Deprecated. Replaced by `JRBaseParagraph.PROPERTY_LINE_SPACING`
    `static java.lang.String` | `PROPERTY_MARKUP`
    `static java.lang.String` | `PROPERTY_MODE`
    `static java.lang.String` | `PROPERTY_PATTERN`
    `static java.lang.String` | `PROPERTY_PDF_EMBEDDED`
    `static java.lang.String` | `PROPERTY_PDF_ENCODING`
    `static java.lang.String` | `PROPERTY_PDF_FONT_NAME`
    `static java.lang.String` | `PROPERTY_RADIUS`
    `static java.lang.String` | `PROPERTY_ROTATION`
    `static java.lang.String` | `PROPERTY_SCALE_IMAGE`
    `static java.lang.String` | `PROPERTY_STRIKE_THROUGH`
    `static java.lang.String` | `PROPERTY_UNDERLINE`
    `static java.lang.String` | `PROPERTY_VERTICAL_ALIGNMENT`
    `protected java.lang.Integer` | `radius`
    `protected RotationEnum` | `rotationValue`
    `protected ScaleImageEnum` | `scaleImageValue`
    `protected java.lang.Byte` | `stretchType`
    `protected VerticalAlignEnum` | `verticalAlignmentValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRStyle

      `PROPERTY_EVALUATION_TIME_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseStyle()`
    `JRBaseStyle(JRStyle style, JRAbstractObjectFactory factory)`
    `JRBaseStyle(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addStyleHash(ObjectUtils.HashCode hash)`
    `protected void` | `checkCircularParent()`
    `java.lang.Object` | `clone()`
    `java.awt.Color` | `getBackcolor()`
    `JRConditionalStyle[]` | `getConditionalStyles()`
    `java.awt.Color` | `getDefaultLineColor()`
    `java.lang.Float` | `getDefaultLineWidth()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `FillEnum` | `getFillValue()` Indicates the fill type used for this element.
    `java.lang.String` | `getFontName()`
    `java.lang.Float` | `getFontsize()`
    `java.lang.Integer` | `getFontSize()` Deprecated. Replaced by `getFontsize()`.
    `java.awt.Color` | `getForecolor()`
    `int` | `getHashCode()` Returns a hash code to be used for the deduplicate map.
    `HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the horizontal alignment of the element.
    `JRLineBox` | `getLineBox()`
    `JRPen` | `getLinePen()`
    `LineSpacingEnum` | `getLineSpacingValue()` Deprecated. Replaced by `JRParagraph.getLineSpacing()`.
    `java.lang.String` | `getMarkup()` Returns the markup language used to format the text.
    `ModeEnum` | `getModeValue()` Returns the element transparency mode.
    `java.lang.String` | `getName()` Gets the style unique name.
    `java.awt.Color` | `getOwnBackcolor()`
    `FillEnum` | `getOwnFillValue()`
    `java.lang.String` | `getOwnFontName()`
    `java.lang.Float` | `getOwnFontsize()`
    `java.lang.Integer` | `getOwnFontSize()` Deprecated. Replaced by `getOwnFontsize()`.
    `java.awt.Color` | `getOwnForecolor()`
    `HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
    `LineSpacingEnum` | `getOwnLineSpacingValue()` Deprecated. Replaced by `JRParagraph.getOwnLineSpacing()`.
    `java.lang.String` | `getOwnMarkup()`
    `ModeEnum` | `getOwnModeValue()`
    `java.lang.String` | `getOwnPattern()`
    `java.lang.String` | `getOwnPdfEncoding()`
    `java.lang.String` | `getOwnPdfFontName()`
    `java.lang.Integer` | `getOwnRadius()`
    `RotationEnum` | `getOwnRotationValue()` Gets the text own rotation.
    `ScaleImageEnum` | `getOwnScaleImageValue()` Gets the image own scale type.
    `VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
    `JRParagraph` | `getParagraph()`
    `java.lang.String` | `getPattern()` Gets the pattern used for this text field.
    `java.lang.String` | `getPdfEncoding()`
    `java.lang.String` | `getPdfFontName()`
    `java.lang.Integer` | `getRadius()` Indicates the corner radius for rectangles with round corners.
    `RotationEnum` | `getRotationValue()` Gets the text rotation.
    `ScaleImageEnum` | `getScaleImageValue()` Gets the image scale type.
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
    `VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the vertical alignment of the element.
    `protected boolean` | `identicalStyle(JRBaseStyle style)`
    `java.lang.Boolean` | `isBlankWhenNull()`
    `java.lang.Boolean` | `isBold()`
    `boolean` | `isDefault()` Gets a flag that specifies if this is the default report style.
    `boolean` | `isIdentical(java.lang.Object object)` Determines if this instance is identical to another object.
    `java.lang.Boolean` | `isItalic()`
    `java.lang.Boolean` | `isOwnBlankWhenNull()`
    `java.lang.Boolean` | `isOwnBold()`
    `java.lang.Boolean` | `isOwnItalic()`
    `java.lang.Boolean` | `isOwnPdfEmbedded()`
    `java.lang.Boolean` | `isOwnStrikeThrough()`
    `java.lang.Boolean` | `isOwnUnderline()`
    `java.lang.Boolean` | `isPdfEmbedded()`
    `java.lang.Boolean` | `isStrikeThrough()`
    `java.lang.Boolean` | `isUnderline()`
    `void` | `rename(java.lang.String newName)` Changes the name of this style.
    `void` | `setBackcolor(java.awt.Color backcolor)`
    `void` | `setBlankWhenNull(boolean isBlankWhenNull)`
    `void` | `setBlankWhenNull(java.lang.Boolean isBlankWhenNull)`
    `void` | `setBold(boolean bold)`
    `void` | `setBold(java.lang.Boolean bold)`
    `void` | `setFill(FillEnum fillValue)`
    `void` | `setFontName(java.lang.String fontName)`
    `void` | `setFontSize(java.lang.Float fontSize)`
    `void` | `setFontSize(int fontSize)` Deprecated. Replaced by `setFontSize(Float)`.
    `void` | `setFontSize(java.lang.Integer fontSize)` Deprecated. Replaced by `setFontSize(Float)`.
    `void` | `setForecolor(java.awt.Color forecolor)`
    `void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)`
    `void` | `setItalic(boolean italic)`
    `void` | `setItalic(java.lang.Boolean italic)`
    `void` | `setLineSpacing(LineSpacingEnum lineSpacing)` Deprecated. Replaced by `JRParagraph.setLineSpacing(LineSpacingEnum)`.
    `void` | `setMarkup(java.lang.String markup)`
    `void` | `setMode(ModeEnum modeValue)`
    `protected void` | `setParentStyle(JRStyle parentStyle)`
    `void` | `setPattern(java.lang.String pattern)`
    `void` | `setPdfEmbedded(boolean pdfEmbedded)`
    `void` | `setPdfEmbedded(java.lang.Boolean pdfEmbedded)`
    `void` | `setPdfEncoding(java.lang.String pdfEncoding)`
    `void` | `setPdfFontName(java.lang.String pdfFontName)`
    `void` | `setRadius(int radius)`
    `void` | `setRadius(java.lang.Integer radius)`
    `void` | `setRotation(RotationEnum rotationValue)`
    `void` | `setScaleImage(ScaleImageEnum scaleImageValue)`
    `void` | `setStrikeThrough(boolean strikeThrough)`
    `void` | `setStrikeThrough(java.lang.Boolean strikeThrough)`
    `void` | `setUnderline(boolean underline)`
    `void` | `setUnderline(java.lang.Boolean underline)`
    `void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_BACKCOLOR

          public static final java.lang.String PROPERTY_BACKCOLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_BLANK_WHEN_NULL

          public static final java.lang.String PROPERTY_BLANK_WHEN_NULL

      See Also:
        Constant Field Values

    - #### PROPERTY_BOLD

          public static final java.lang.String PROPERTY_BOLD

      See Also:
        Constant Field Values

    - #### PROPERTY_FILL

          public static final java.lang.String PROPERTY_FILL

      See Also:
        Constant Field Values

    - #### PROPERTY_FONT_NAME

          public static final java.lang.String PROPERTY_FONT_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_FONT_SIZE

          public static final java.lang.String PROPERTY_FONT_SIZE

      See Also:
        Constant Field Values

    - #### PROPERTY_FORECOLOR

          public static final java.lang.String PROPERTY_FORECOLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_HORIZONTAL_ALIGNMENT

          public static final java.lang.String PROPERTY_HORIZONTAL_ALIGNMENT

      See Also:
        Constant Field Values

    - #### PROPERTY_ITALIC

          public static final java.lang.String PROPERTY_ITALIC

      See Also:
        Constant Field Values

    - #### PROPERTY_LINE_SPACING

          public static final java.lang.String PROPERTY_LINE_SPACING

      Deprecated. Replaced by `JRBaseParagraph.PROPERTY_LINE_SPACING`
      See Also:
        Constant Field Values

    - #### PROPERTY_MODE

          public static final java.lang.String PROPERTY_MODE

      See Also:
        Constant Field Values

    - #### PROPERTY_PATTERN

          public static final java.lang.String PROPERTY_PATTERN

      See Also:
        Constant Field Values

    - #### PROPERTY_PDF_EMBEDDED

          public static final java.lang.String PROPERTY_PDF_EMBEDDED

      See Also:
        Constant Field Values

    - #### PROPERTY_PDF_ENCODING

          public static final java.lang.String PROPERTY_PDF_ENCODING

      See Also:
        Constant Field Values

    - #### PROPERTY_PDF_FONT_NAME

          public static final java.lang.String PROPERTY_PDF_FONT_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_RADIUS

          public static final java.lang.String PROPERTY_RADIUS

      See Also:
        Constant Field Values

    - #### PROPERTY_ROTATION

          public static final java.lang.String PROPERTY_ROTATION

      See Also:
        Constant Field Values

    - #### PROPERTY_SCALE_IMAGE

          public static final java.lang.String PROPERTY_SCALE_IMAGE

      See Also:
        Constant Field Values

    - #### PROPERTY_STRIKE_THROUGH

          public static final java.lang.String PROPERTY_STRIKE_THROUGH

      See Also:
        Constant Field Values

    - #### PROPERTY_MARKUP

          public static final java.lang.String PROPERTY_MARKUP

      See Also:
        Constant Field Values

    - #### PROPERTY_UNDERLINE

          public static final java.lang.String PROPERTY_UNDERLINE

      See Also:
        Constant Field Values

    - #### PROPERTY_VERTICAL_ALIGNMENT

          public static final java.lang.String PROPERTY_VERTICAL_ALIGNMENT

      See Also:
        Constant Field Values

    - #### defaultStyleProvider

          protected JRDefaultStyleProvider defaultStyleProvider

    - #### parentStyle

          protected JRStyle parentStyle

    - #### parentStyleNameReference

          protected java.lang.String parentStyleNameReference

    - #### name

          protected java.lang.String name

    - #### isDefault

          protected boolean isDefault

    - #### positionType

          protected java.lang.Byte positionType

    - #### stretchType

          protected java.lang.Byte stretchType

    - #### modeValue

          protected ModeEnum modeValue

    - #### forecolor

          protected java.awt.Color forecolor

    - #### backcolor

          protected java.awt.Color backcolor

    - #### linePen

          protected JRPen linePen

    - #### fillValue

          protected FillEnum fillValue

    - #### radius

          protected java.lang.Integer radius

    - #### scaleImageValue

          protected ScaleImageEnum scaleImageValue

    - #### horizontalAlignmentValue

          protected HorizontalAlignEnum horizontalAlignmentValue

    - #### verticalAlignmentValue

          protected VerticalAlignEnum verticalAlignmentValue

    - #### lineBox

          protected JRLineBox lineBox

    - #### paragraph

          protected JRParagraph paragraph

    - #### fontName

          protected java.lang.String fontName

    - #### isBold

          protected java.lang.Boolean isBold

    - #### isItalic

          protected java.lang.Boolean isItalic

    - #### isUnderline

          protected java.lang.Boolean isUnderline

    - #### isStrikeThrough

          protected java.lang.Boolean isStrikeThrough

    - #### fontsize

          protected java.lang.Float fontsize

    - #### pdfFontName

          protected java.lang.String pdfFontName

    - #### pdfEncoding

          protected java.lang.String pdfEncoding

    - #### isPdfEmbedded

          protected java.lang.Boolean isPdfEmbedded

    - #### rotationValue

          protected RotationEnum rotationValue

    - #### markup

          protected java.lang.String markup

    - #### pattern

          protected java.lang.String pattern

    - #### isBlankWhenNull

          protected java.lang.Boolean isBlankWhenNull

    - #### conditionalStyles

          protected JRConditionalStyle[] conditionalStyles

  - ### Constructor Detail

    - #### JRBaseStyle

          public JRBaseStyle()

    - #### JRBaseStyle

          public JRBaseStyle(java.lang.String name)

    - #### JRBaseStyle

          public JRBaseStyle(JRStyle style,
                     JRAbstractObjectFactory factory)

  - ### Method Detail

    - #### setParentStyle

          protected void setParentStyle(JRStyle parentStyle)

    - #### checkCircularParent

          protected void checkCircularParent()

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRStyle`
      Gets the style unique name.
      Specified by:
        `getName` in interface `JRStyle`

    - #### rename

          public void rename(java.lang.String newName)

      Changes the name of this style.

      Note that this method is mostly meant to be used internally. Use cautiously as it might have unexpected consequences.
      Parameters:
        `newName` - the new name

    - #### isDefault

          public boolean isDefault()

      Description copied from interface: `JRStyle`
      Gets a flag that specifies if this is the default report style.
      Specified by:
        `isDefault` in interface `JRStyle`

    - #### getForecolor

          public java.awt.Color getForecolor()

      Specified by:
        `getForecolor` in interface `JRStyle`

    - #### getOwnForecolor

          public java.awt.Color getOwnForecolor()

      Specified by:
        `getOwnForecolor` in interface `JRStyle`

    - #### getBackcolor

          public java.awt.Color getBackcolor()

      Specified by:
        `getBackcolor` in interface `JRStyle`

    - #### getOwnBackcolor

          public java.awt.Color getOwnBackcolor()

      Specified by:
        `getOwnBackcolor` in interface `JRStyle`

    - #### getLinePen

          public JRPen getLinePen()

      Specified by:
        `getLinePen` in interface `JRStyle`

    - #### getFillValue

          public FillEnum getFillValue()

      Description copied from interface: `JRStyle`
      Indicates the fill type used for this element.
      Specified by:
        `getFillValue` in interface `JRStyle`
      Returns:
        one of the fill constants in `FillEnum`.

    - #### getOwnFillValue

          public FillEnum getOwnFillValue()

      Specified by:
        `getOwnFillValue` in interface `JRStyle`

    - #### getRadius

          public java.lang.Integer getRadius()

      Description copied from interface: `JRStyle`
      Indicates the corner radius for rectangles with round corners. The default is 0.
      Specified by:
        `getRadius` in interface `JRStyle`

    - #### getOwnRadius

          public java.lang.Integer getOwnRadius()

      Specified by:
        `getOwnRadius` in interface `JRStyle`

    - #### getScaleImageValue

          public ScaleImageEnum getScaleImageValue()

      Description copied from interface: `JRStyle`
      Gets the image scale type.
      Specified by:
        `getScaleImageValue` in interface `JRStyle`
      Returns:
        one of the scale types defined in `ScaleImageEnum`

    - #### getOwnScaleImageValue

          public ScaleImageEnum getOwnScaleImageValue()

      Description copied from interface: `JRStyle`
      Gets the image own scale type.
      Specified by:
        `getOwnScaleImageValue` in interface `JRStyle`
      Returns:
        one of the scale types defined in `ScaleImageEnum`

    - #### getHorizontalAlignmentValue

          public HorizontalAlignEnum getHorizontalAlignmentValue()

      Description copied from interface: `JRStyle`
      Gets the horizontal alignment of the element.
      Specified by:
        `getHorizontalAlignmentValue` in interface `JRStyle`
      Returns:
        one of the alignment values defined in `HorizontalAlignEnum`

    - #### getOwnHorizontalAlignmentValue

          public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

      Specified by:
        `getOwnHorizontalAlignmentValue` in interface `JRStyle`

    - #### getVerticalAlignmentValue

          public VerticalAlignEnum getVerticalAlignmentValue()

      Description copied from interface: `JRStyle`
      Gets the vertical alignment of the element.
      Specified by:
        `getVerticalAlignmentValue` in interface `JRStyle`
      Returns:
        one of the alignment values defined in `JRAlignment`

    - #### getOwnVerticalAlignmentValue

          public VerticalAlignEnum getOwnVerticalAlignmentValue()

      Specified by:
        `getOwnVerticalAlignmentValue` in interface `JRStyle`

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`
      Specified by:
        `getLineBox` in interface `JRStyle`

    - #### getParagraph

          public JRParagraph getParagraph()

      Specified by:
        `getParagraph` in interface `JRParagraphContainer`

    - #### getRotationValue

          public RotationEnum getRotationValue()

      Description copied from interface: `JRStyle`
      Gets the text rotation.
      Specified by:
        `getRotationValue` in interface `JRStyle`
      Returns:
        a value representing one of the rotation values in the `RotationEnum`.

    - #### getOwnRotationValue

          public RotationEnum getOwnRotationValue()

      Description copied from interface: `JRStyle`
      Gets the text own rotation.
      Specified by:
        `getOwnRotationValue` in interface `JRStyle`
      Returns:
        a value representing one of the rotation values in the `RotationEnum`.

    - #### setRotation

          public void setRotation(RotationEnum rotationValue)

      Specified by:
        `setRotation` in interface `JRStyle`

    - #### getLineSpacingValue

          public LineSpacingEnum getLineSpacingValue()

      Deprecated. Replaced by `JRParagraph.getLineSpacing()`.
      Specified by:
        `getLineSpacingValue` in interface `JRStyle`

    - #### getOwnLineSpacingValue

          public LineSpacingEnum getOwnLineSpacingValue()

      Deprecated. Replaced by `JRParagraph.getOwnLineSpacing()`.
      Specified by:
        `getOwnLineSpacingValue` in interface `JRStyle`

    - #### getMarkup

          public java.lang.String getMarkup()

      Description copied from interface: `JRStyle`
      Returns the markup language used to format the text.
      Specified by:
        `getMarkup` in interface `JRStyle`

    - #### getOwnMarkup

          public java.lang.String getOwnMarkup()

      Specified by:
        `getOwnMarkup` in interface `JRStyle`

    - #### isBlankWhenNull

          public java.lang.Boolean isBlankWhenNull()

      Specified by:
        `isBlankWhenNull` in interface `JRStyle`

    - #### isOwnBlankWhenNull

          public java.lang.Boolean isOwnBlankWhenNull()

      Specified by:
        `isOwnBlankWhenNull` in interface `JRStyle`

    - #### getFontName

          public java.lang.String getFontName()

      Specified by:
        `getFontName` in interface `JRStyle`

    - #### getOwnFontName

          public java.lang.String getOwnFontName()

      Specified by:
        `getOwnFontName` in interface `JRStyle`

    - #### isBold

          public java.lang.Boolean isBold()

      Specified by:
        `isBold` in interface `JRStyle`

    - #### isOwnBold

          public java.lang.Boolean isOwnBold()

      Specified by:
        `isOwnBold` in interface `JRStyle`

    - #### isItalic

          public java.lang.Boolean isItalic()

      Specified by:
        `isItalic` in interface `JRStyle`

    - #### isOwnItalic

          public java.lang.Boolean isOwnItalic()

      Specified by:
        `isOwnItalic` in interface `JRStyle`

    - #### isUnderline

          public java.lang.Boolean isUnderline()

      Specified by:
        `isUnderline` in interface `JRStyle`

    - #### isOwnUnderline

          public java.lang.Boolean isOwnUnderline()

      Specified by:
        `isOwnUnderline` in interface `JRStyle`

    - #### isStrikeThrough

          public java.lang.Boolean isStrikeThrough()

      Specified by:
        `isStrikeThrough` in interface `JRStyle`

    - #### isOwnStrikeThrough

          public java.lang.Boolean isOwnStrikeThrough()

      Specified by:
        `isOwnStrikeThrough` in interface `JRStyle`

    - #### getFontsize

          public java.lang.Float getFontsize()

      Specified by:
        `getFontsize` in interface `JRStyle`

    - #### getOwnFontsize

          public java.lang.Float getOwnFontsize()

      Specified by:
        `getOwnFontsize` in interface `JRStyle`

    - #### getFontSize

          public java.lang.Integer getFontSize()

      Deprecated. Replaced by `getFontsize()`.
      Specified by:
        `getFontSize` in interface `JRStyle`

    - #### getOwnFontSize

          public java.lang.Integer getOwnFontSize()

      Deprecated. Replaced by `getOwnFontsize()`.
      Specified by:
        `getOwnFontSize` in interface `JRStyle`

    - #### getPdfFontName

          public java.lang.String getPdfFontName()

      Specified by:
        `getPdfFontName` in interface `JRStyle`

    - #### getOwnPdfFontName

          public java.lang.String getOwnPdfFontName()

      Specified by:
        `getOwnPdfFontName` in interface `JRStyle`

    - #### getPdfEncoding

          public java.lang.String getPdfEncoding()

      Specified by:
        `getPdfEncoding` in interface `JRStyle`

    - #### getOwnPdfEncoding

          public java.lang.String getOwnPdfEncoding()

      Specified by:
        `getOwnPdfEncoding` in interface `JRStyle`

    - #### isPdfEmbedded

          public java.lang.Boolean isPdfEmbedded()

      Specified by:
        `isPdfEmbedded` in interface `JRStyle`

    - #### isOwnPdfEmbedded

          public java.lang.Boolean isOwnPdfEmbedded()

      Specified by:
        `isOwnPdfEmbedded` in interface `JRStyle`

    - #### getPattern

          public java.lang.String getPattern()

      Description copied from interface: `JRStyle`
      Gets the pattern used for this text field. The pattern will be used in a `SimpleDateFormat` for dates and a `DecimalFormat` for numeric text fields. The pattern format must follow one of these two classes formatting rules, as specified in the JDK API docs.
      Specified by:
        `getPattern` in interface `JRStyle`
      Returns:
        a string containing the pattern.

    - #### getOwnPattern

          public java.lang.String getOwnPattern()

      Specified by:
        `getOwnPattern` in interface `JRStyle`

    - #### getModeValue

          public ModeEnum getModeValue()

      Description copied from interface: `JRStyle`
      Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.
      Specified by:
        `getModeValue` in interface `JRStyle`

    - #### getOwnModeValue

          public ModeEnum getOwnModeValue()

      Specified by:
        `getOwnModeValue` in interface `JRStyle`

    - #### setForecolor

          public void setForecolor(java.awt.Color forecolor)

      Specified by:
        `setForecolor` in interface `JRStyle`

    - #### setBackcolor

          public void setBackcolor(java.awt.Color backcolor)

      Specified by:
        `setBackcolor` in interface `JRStyle`

    - #### setMode

          public void setMode(ModeEnum modeValue)

      Specified by:
        `setMode` in interface `JRStyle`

    - #### setFill

          public void setFill(FillEnum fillValue)

      Specified by:
        `setFill` in interface `JRStyle`

    - #### setRadius

          public void setRadius(int radius)

      Specified by:
        `setRadius` in interface `JRStyle`

    - #### setRadius

          public void setRadius(java.lang.Integer radius)

      Specified by:
        `setRadius` in interface `JRStyle`

    - #### setScaleImage

          public void setScaleImage(ScaleImageEnum scaleImageValue)

      Specified by:
        `setScaleImage` in interface `JRStyle`

    - #### setHorizontalAlignment

          public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)

      Specified by:
        `setHorizontalAlignment` in interface `JRStyle`

    - #### setVerticalAlignment

          public void setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)

      Specified by:
        `setVerticalAlignment` in interface `JRStyle`

    - #### setFontName

          public void setFontName(java.lang.String fontName)

      Specified by:
        `setFontName` in interface `JRStyle`

    - #### setBold

          public void setBold(boolean bold)

      Specified by:
        `setBold` in interface `JRStyle`

    - #### setBold

          public void setBold(java.lang.Boolean bold)

      Specified by:
        `setBold` in interface `JRStyle`

    - #### setItalic

          public void setItalic(boolean italic)

      Specified by:
        `setItalic` in interface `JRStyle`

    - #### setItalic

          public void setItalic(java.lang.Boolean italic)

      Specified by:
        `setItalic` in interface `JRStyle`

    - #### setPdfEmbedded

          public void setPdfEmbedded(boolean pdfEmbedded)

      Specified by:
        `setPdfEmbedded` in interface `JRStyle`

    - #### setPdfEmbedded

          public void setPdfEmbedded(java.lang.Boolean pdfEmbedded)

      Specified by:
        `setPdfEmbedded` in interface `JRStyle`

    - #### setStrikeThrough

          public void setStrikeThrough(boolean strikeThrough)

      Specified by:
        `setStrikeThrough` in interface `JRStyle`

    - #### setStrikeThrough

          public void setStrikeThrough(java.lang.Boolean strikeThrough)

      Specified by:
        `setStrikeThrough` in interface `JRStyle`

    - #### setMarkup

          public void setMarkup(java.lang.String markup)

      Specified by:
        `setMarkup` in interface `JRStyle`

    - #### setBlankWhenNull

          public void setBlankWhenNull(boolean isBlankWhenNull)

      Specified by:
        `setBlankWhenNull` in interface `JRStyle`

    - #### setBlankWhenNull

          public void setBlankWhenNull(java.lang.Boolean isBlankWhenNull)

      Specified by:
        `setBlankWhenNull` in interface `JRStyle`

    - #### setUnderline

          public void setUnderline(boolean underline)

      Specified by:
        `setUnderline` in interface `JRStyle`

    - #### setUnderline

          public void setUnderline(java.lang.Boolean underline)

      Specified by:
        `setUnderline` in interface `JRStyle`

    - #### setLineSpacing

          public void setLineSpacing(LineSpacingEnum lineSpacing)

      Deprecated. Replaced by `JRParagraph.setLineSpacing(LineSpacingEnum)`.
      Specified by:
        `setLineSpacing` in interface `JRStyle`

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Specified by:
        `setPattern` in interface `JRStyle`

    - #### setPdfEncoding

          public void setPdfEncoding(java.lang.String pdfEncoding)

      Specified by:
        `setPdfEncoding` in interface `JRStyle`

    - #### setPdfFontName

          public void setPdfFontName(java.lang.String pdfFontName)

      Specified by:
        `setPdfFontName` in interface `JRStyle`

    - #### setFontSize

          public void setFontSize(java.lang.Float fontSize)

      Specified by:
        `setFontSize` in interface `JRStyle`

    - #### setFontSize

          public void setFontSize(int fontSize)

      Deprecated. Replaced by `setFontSize(Float)`.
      Specified by:
        `setFontSize` in interface `JRStyle`

    - #### setFontSize

          public void setFontSize(java.lang.Integer fontSize)

      Deprecated. Replaced by `setFontSize(Float)`.
      Specified by:
        `setFontSize` in interface `JRStyle`

    - #### getConditionalStyles

          public JRConditionalStyle[] getConditionalStyles()

      Specified by:
        `getConditionalStyles` in interface `JRStyle`

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### getDefaultLineWidth

          public java.lang.Float getDefaultLineWidth()

      Specified by:
        `getDefaultLineWidth` in interface `JRPenContainer`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`
      Specified by:
        `getDefaultLineColor` in interface `JRPenContainer`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getHashCode

          public int getHashCode()

      Description copied from interface: `Deduplicable`
      Returns a hash code to be used for the deduplicate map. The returned hash code should be consitent wiwh `Deduplicable.isIdentical(Object)`, i.e. if two objects are identical they should have the same hash code.
      Specified by:
        `getHashCode` in interface `Deduplicable`
      Returns:
        deduplication hash code

    - #### addStyleHash

          protected void addStyleHash(ObjectUtils.HashCode hash)

    - #### isIdentical

          public boolean isIdentical(java.lang.Object object)

      Description copied from interface: `Deduplicable`
      Determines if this instance is identical to another object.
      Specified by:
        `isIdentical` in interface `Deduplicable`
      Parameters:
        `object` - the object to compare with this instance
      Returns:
        `true` if the two objects are identical and can be deduplicated

    - #### identicalStyle

          protected boolean identicalStyle(JRBaseStyle style)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com